org.eclipse.eef.ide.ui.internal

## Class EEFIdeUiPlugin.Implementation

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.emf.common.EMFPlugin.EclipsePlugin
    - - org.eclipse.eef.common.api.AbstractEEFEclipsePlugin
      - - org.eclipse.eef.ide.ui.internal.EEFIdeUiPlugin.Implementation

All Implemented Interfaces:
  org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator, org.osgi.framework.BundleActivator

Enclosing class:
  EEFIdeUiPlugin

    public static class EEFIdeUiPlugin.Implementation
    extends AbstractEEFEclipsePlugin

This class is used as the bundle activator of the plugin.

### Field Summary

### Fields inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin

`helper`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`Implementation()` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`IEEFLifecycleManagerProvider` `getEEFLifecycleManagerProvider(EEFControlDescription eefControlDescription)` Return the lifecycle manager provider supporting the given description.
`org.eclipse.swt.graphics.Image` `getImage(java.net.URL url)` Returns the image for the given URL.
`org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor(java.lang.String path)` Returns the image descriptor for the image with the given path.
`org.eclipse.jface.resource.ImageRegistry` `getImageRegistry()` Returns the image registry.
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.eef.common.api.AbstractEEFEclipsePlugin

`blank, debug, diagnostic, error, error, info, info, warning, warning`

### Methods inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin

`doGetImage, getBaseURL, getImage, getString, getString, getString, getString, getSymbolicName, log`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Implementation

    public Implementation()

The constructor.

### Method Detail

#### getImageDescriptor

    public org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(java.lang.String path)

Returns the image descriptor for the image with the given path.

Parameters:
  `path` - The path of the image in the bundle
Returns:
  The image descriptor of the image

#### getImage

    public org.eclipse.swt.graphics.Image getImage(java.net.URL url)

Returns the image for the given URL.

Parameters:
  `url` - The url of the image
Returns:
  The image found or `null` if it could not be found

#### getImageRegistry

    public org.eclipse.jface.resource.ImageRegistry getImageRegistry()

Returns the image registry.

Returns:
  The image registry

#### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `java.lang.Exception`
See Also:
  `Plugin.start(org.osgi.framework.BundleContext)`

#### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `java.lang.Exception`
See Also:
  `AbstractUIPlugin.stop(org.osgi.framework.BundleContext)`

#### getEEFLifecycleManagerProvider

    public IEEFLifecycleManagerProvider getEEFLifecycleManagerProvider(EEFControlDescription eefControlDescription)

Return the lifecycle manager provider supporting the given description.

Parameters:
  `eefControlDescription` - The description of the control to create
Returns:
  The lifecycle manager provider